<?php
/**
 * @package   Table 9 Element for YOOtheme Pro
 * @author    Flart Studio https://www.flart.studio
 * @copyright Copyright (C) Flart Studio
 * @license   GNU General Public License version 3, or later
 */

namespace YOOtheme;

return [

    'transforms' => [
		
		'render' => function ($node) {
			
			if($node->props['enable_datatables']) {
				$metadata = app(Metadata::class);
				$metadata->set('script:fs-dt', ['src' => Path::get(__DIR__ . '/assets/js/jquery.dataTables.min.js?v=1.1.9'), 'defer' => true]);
				$metadata->set('script:fs-dt-uikit', ['src' => Path::get(__DIR__ . '/assets/js/dataTables.uikit.min.js?v=1.1.9'), 'defer' => true]);
				
				if($node->props['table_datatables_sticky'] && ($node->props['table_datatables_fixed_header'] || $node->props['table_datatables_fixed_footer'])) {
					$metadata->set('script:fs-dt-fixedHeader', ['src' => Path::get(__DIR__ . '/assets/js/dataTables.fixedHeader.js?v=1.1.9'), 'defer' => true]);
				}
				
				$metadata->set('style:fs-dt-css',  ['href' => Path::get(__DIR__ . '/assets/css/dataTables.uikit.min.css?v=1.1.9')]);
			
				$jsEscape = function($str){if($str){$output='';$str=str_split(strip_tags($str));for($i=0;$i<count($str);$i++){$chrNum=ord($str[$i]);$chr=$str[$i];if($chrNum===226){if(isset($str[$i+1])&&ord($str[$i+1])===128){if(isset($str[$i+2])&&ord($str[$i+2])===168){$output.='\u2028';$i+=2;continue;}
				if(isset($str[$i+2])&&ord($str[$i+2])===169){$output.='\u2029';$i+=2;continue;}}}
				switch($chr){case"'":case'"':case"\n";case"\r";case"&";case"\\";case"<":case">":$output.=sprintf("\\u%04x",$chrNum);break;default:$output.=$str[$i];break;}}
				return $output;}
				else{return;}};
				
				$node->props['table_datatables_translation_filter_checkbox_true'] = $jsEscape($node->props['table_datatables_translation_filter_checkbox_true']);
				$node->props['table_datatables_translation_filter_checkbox_false'] = $jsEscape($node->props['table_datatables_translation_filter_checkbox_false']);
			
			}
			
		}
	
	],
    
	'updates' => [
        
    ],

];
