<?php
/**
 * @package   Table 9 Element for YOOtheme Pro
 * @author    Flart Studio https://www.flart.studio
 * @copyright Copyright (C) Flart Studio
 * @license   GNU General Public License version 3, or later
 */

// Table Title
$table_title = $this->el($props['table_title_element'], [

    'class' => [
        'el-table-title',
        'uk-{table_title_style}',
        'uk-card-table_title {@panel_style} {@!table_title_style}',
        'uk-heading-{table_title_decoration}',
        'uk-font-{table_title_font_family}',
        'uk-text-{table_title_color} {@!table_title_color: background}',
        'uk-margin[-{table_title_margin}]-top {@!table_title_margin: remove}',
        'uk-margin-remove-top {@table_title_margin: remove}',
        'uk-margin-remove-bottom',
        '{table_title_visibility}' => $props['table_title_visibility'],
    ],

]);

// Table Title Limit Output
if (strlen(strip_tags($props['table_title'])) > $props['table_title_limit_length'] && $props['show_table_title'] && $props['table_title'] && $props['table_title_limit'] && $props['table_title_limit_length']) {	
	$props['table_title'] = substr(strip_tags($props['table_title']), 0, $props['table_title_limit_length'])."...";
} 

// Table Meta
$table_meta = $this->el($props['table_meta_element'], [

    'class' => [
        'el-table-meta',
        'uk-[text-{@table_meta_style: table_meta}]{table_meta_style}',
        'uk-text-{table_meta_color}',
		'uk-heading-{table_meta_decoration}',
        'uk-margin[-{table_meta_margin}]-top {@!table_meta_margin: remove}',
        'uk-margin-remove-bottom [uk-margin-{table_meta_margin: remove}-top]' => !in_array($props['table_meta_style'], ['', 'table_meta']) || $props['table_meta_element'] != 'div',
		'{table_meta_visibility}' => $props['table_meta_visibility'],
    ],

]);

// Table Meta Limit Output
if (strlen(strip_tags($props['table_meta'])) > $props['table_meta_limit_length'] && $props['show_table_meta'] && $props['table_meta'] && $props['table_meta_limit'] && $props['table_meta_limit_length']) {	
	$props['table_meta'] = substr(strip_tags($props['table_meta']), 0, $props['table_meta_limit_length'])."...";
}

// Table Content
$table_content = $this->el('div', [

    'class' => [
        'el-table-content uk-panel',
        'uk-text-{table_content_style}',
        '[uk-text-left{@table_content_align}]',
        'uk-dropcap {@table_content_dropcap}',
        'uk-column-{table_content_column}[@{table_content_column_breakpoint}]',
        'uk-column-divider {@table_content_column} {@table_content_column_divider}',
        'uk-margin[-{table_content_margin}]-top {@!table_content_margin: remove}',
		'{table_content_visibility}' => $props['table_content_visibility'],
    ],

]);

// Table Content Limit Output
if (strlen(strip_tags($props['table_content'])) > $props['table_content_limit_length'] && $props['show_table_content'] && $props['table_content'] && $props['table_content_limit'] && $props['table_content_limit_length']) {	
	$props['table_content'] = substr(strip_tags($props['table_content']), 0, $props['table_content_limit_length'])."...";
}

// Table Title Grid
$grid = $this->el('div', [

    'class' => [
        'uk-child-width-expand',
        $props['table_title_grid_column_gap'] == $props['table_title_grid_row_gap'] ? 'uk-grid-{table_title_grid_column_gap}' : '[uk-grid-column-{table_title_grid_column_gap}] [uk-grid-row-{table_title_grid_row_gap}]',
        'uk-margin[-{table_title_margin}]-top {@!table_title_margin: remove} {@image_align: top}' => !$props['table_meta'] || $props['table_meta_align'] != 'above-table-title',
        'uk-margin[-{table_meta_margin}]-top {@!table_meta_margin: remove} {@image_align: top} {@table_meta} {@table_meta_align: above-table-title}',
    ],

    'uk-grid' => true,
]);

$cell_table_title = $this->el('div', [

    'class' => [
        'uk-width-{table_title_grid_width}[@{table_title_grid_breakpoint}]',
        'uk-margin-remove-first-child',
    ],

]);

$cell_table_content = $this->el('div', [

    'class' => [
        'uk-margin-remove-first-child',
    ],

]);

?>

<?php if ($props['show_table_title'] && $props['table_title'] && $props['table_title_align'] == 'left') : ?>
<?= $grid($props) ?>
    <?= $cell_table_title($props) ?>
<?php endif ?>

        <?php if ($props['show_table_meta'] && $props['table_meta'] && $props['table_meta_align'] == 'above-table-title') : ?>
        <?= $table_meta($props, $props['table_meta']) ?>
        <?php endif ?>

        <?php if ($props['show_table_title'] && $props['table_title']) : ?>
        <?= $table_title($props) ?>
            <?php if ($props['table_title_color'] == 'background') : ?>
            <span class="uk-text-background"><?= $props['table_title'] ?></span>
            <?php elseif ($props['table_title_decoration'] == 'line') : ?>
            <span><?= $props['table_title'] ?></span>
            <?php else : ?>
            <?= $props['table_title'] ?>
            <?php endif ?>
        <?= $table_title->end() ?>
        <?php endif ?>

        <?php if ($props['show_table_meta'] && $props['table_meta'] && $props['table_meta_align'] == 'below-table-title') : ?>
        <?= $table_meta($props, $props['table_meta']) ?>
        <?php endif ?>

    <?php if ($props['show_table_title'] && $props['table_title'] && $props['table_title_align'] == 'left') : ?>
    <?= $cell_table_title->end() ?>
    <?= $cell_table_content($props) ?>
    <?php endif ?>

        <?php if ($props['show_table_meta'] && $props['table_meta'] && $props['table_meta_align'] == 'above-table-content') : ?>
        <?= $table_meta($props, $props['table_meta']) ?>
        <?php endif ?>

        <?php if ($props['show_table_content'] && $props['table_content']) : ?>
        <?= $table_content($props, $props['table_content']) ?>
        <?php endif ?>

        <?php if ($props['show_table_meta'] && $props['table_meta'] && $props['table_meta_align'] == 'below-table-content') : ?>
        <?= $table_meta($props, $props['table_meta']) ?>
        <?php endif ?>

<?php if ($props['show_table_title'] && $props['table_title'] && $props['table_title_align'] == 'left') : ?>
    <?= $cell_table_content->end() ?>
<?= $grid->end() ?>
<?php endif ?>