<?php
/**
 * @package   Table 9 Element for YOOtheme Pro
 * @author    Flart Studio https://www.flart.studio
 * @copyright Copyright (C) Flart Studio
 * @license   GNU General Public License version 3, or later
 */

if (!$props['image']) {
    return;
}

// Image
$image = $this->el('image', [

    'class' => [
        'el-image',
        'uk-preserve-width',
        'uk-border-{image_border}',
        'uk-box-shadow-{image_box_shadow}',
        'uk-text-{image_svg_color} {@image_svg_inline}' => $this->isImage($props['image']) == 'svg',
    ],
	
    'src' => $props['image'],
    'alt' => $props['image_alt'],
    'width' => $element['image_width'],
    'height' => $element['image_height'],
    'uk-svg' => $element['image_svg_inline'],
    'thumbnail' => true,
]);

// Image Link
$link = $props['link'] ? $this->el('a', [
	'href' => $props['link'],
	'target' => ['_blank {@link_target}'],
    'uk-scroll' => strpos($props['link'], '#') === 0,
]) : null;


if ($link && $props['image'] && $element['image_link'] && $element['show_link']) {

	$image = $link($element, $image);
	echo $image;
}

else {
	echo $image($element);
}
