<?php
/**
 * @package   Table 9 Element for YOOtheme Pro
 * @author    Flart Studio https://www.flart.studio
 * @copyright Copyright (C) Flart Studio
 * @license   GNU General Public License version 3, or later
 */

if ($props['text_2'] == '') {
    return;
}

//Override Checkbox Display
$element['show_checkbox'] = $props['show_checkbox'] ?: $element['show_checkbox'];

// text_2
$el = $this->el('div', [

    'class' => [
        'el-text-2',
        'uk-{text_2_style}',
        'uk-font-{text_2_font_family}',
        'uk-text-{text_2_color}',
		'uk-text-{text_2_align}',
    ],

]);

// Thead for Responsive Table
$thead = $this->el('span', [
	'class' => [
		'uk-hidden@m',
	],
]);

// Text 1 Limit Output
if (strlen(strip_tags($props['text_2'])) > $element['text_2_limit_length'] && $element['show_text_2'] && $props['text_2'] && $element['text_2_limit'] && $element['text_2_limit_length']) {	
	$props['text_2'] = substr(strip_tags($props['text_2']), 0, $element['text_2_limit_length'])."...";
}

// Text 1 Link
$link = $props['link'] ? $this->el('a', [
	'href' => $props['link'],
	'target' => ['_blank {@link_target}'],
    'uk-scroll' => strpos($props['link'], '#') === 0,
]) : null;


if ($link && $props['text_2'] && $element['text_2_link'] && $element['show_link']) {

    $props['text_2'] = $link($element, [
        'class' => [
			'uk-link-{text_2_hover_style}' => $element['text_2_hover_style'],
        ],
    ], $this->striptags($props['text_2']));
	
}

$display_checkbox = false;
if ($element['show_checkbox'] && in_array(strtolower(strip_tags($props['text_2'])), ['1', '0'])) {
	$display_checkbox = true;	
	
	$true = $element['table_datatables_translation_filter_checkbox_true'] ?: 'Yes';
	$false = $element['table_datatables_translation_filter_checkbox_false'] ?: 'No';
	$checkbox_text = boolval($props['text_2']) ? $true : $false;
}

// Checkbox
$checkbox = $this->el('input', [
    'class' => [
        'fs-table-checkbox',
        'uk-checkbox',
    ],
	'type' => 'checkbox',
	'checked' => boolval($props['text_2']),	
	'disabled' => true,
	'readonly' => true,	
	'title' => $props['title'] && !$display_checkbox,		
]);

$filter_wrapper = $this->el('span', [
	'class' => [
		'filter-content',
		'uk-hidden' => $display_checkbox,
	],
	
]);

?>

<?= $el($element) ?>

	<?php if($element['table_responsive'] == 'responsive' && $element['table_head_text_2']) : ?>
		<?= $thead($element, $element['table_head_text_2'] . ':') ?>
	<?php endif ?>
	
	<?php if($element['table_datatables_filter']) : ?>
		<?php $props['text_2'] = $filter_wrapper($element, $props['text_2']); ?>
	<?php endif ?>	
	
	<?= $display_checkbox ? $checkbox($element) . $filter_wrapper($element, $checkbox_text) : $props['text_2'] ?>
	
<?= $el->end() ?>