<?php
/**
 * @package   Table 9 Element for YOOtheme Pro
 * @author    Flart Studio https://www.flart.studio
 * @copyright Copyright (C) Flart Studio
 * @license   GNU General Public License version 3, or later
 */

if ($props['title'] == '') {
    return;
}

// Title
$title = $this->el('div', [

    'class' => [
        'el-title',
        'uk-{title_style}',
        'uk-font-{title_font_family}',
        'uk-text-{title_color}',
        'uk-text-{title_align}',
		'uk-margin-remove-bottom' => $element['show_description'],
    ],

]);

// Title Limit Output
if (strlen(strip_tags($props['title'])) > $element['title_limit_length'] && $element['show_title'] && $props['title'] && $element['title_limit'] && $element['title_limit_length']) {	
	$props['title'] = substr(strip_tags($props['title']), 0, $element['title_limit_length'])."...";
}

// Description
$description = $this->el('div', [

    'class' => [
        'el-description',
		'uk-text-{description_style}',
		'uk-text-{description_color}',
        'uk-text-{description_align}',
		'uk-margin[-{description_margin}]-top {@!description_margin: remove}',
        'uk-margin-remove-top {@description_margin: remove}',
        'uk-margin-remove-bottom',
		'{description_visibility}' => $element['description_visibility'],
    ],
	
	'style' => [
        'line-height:1.3em;',
    ],

]);

// Description Limit Output
if (strlen(strip_tags($props['description'])) > $element['description_limit_length'] && $element['show_description'] && $props['description'] && $element['description_limit'] && $element['description_limit_length']) {	
	$props['description'] = substr(strip_tags($props['description']), 0, $element['description_limit_length'])."...";
}

//Label
$label = $this->el('span', [

    'class' => [
        'el-label',
        'uk-label',
		'uk-label-' . $props['label_color'] . '{@!label_custom_color}',
		'{label_visibility}' => $element['label_visibility'],
    ],    
	'style' => [
        'background: '. $props['label_custom_color'] .';' => $props['label_custom_color'] && $props['label_color'] == 'custom',
		'border-radius: 2px; margin-top: -15px; line-height: 1em; padding: 3px 5px; font-size: 12px; letter-spacing: normal; font-weight: 600;'
    ],
	
]);

// Title Link
$link = $props['link'] ? $this->el('a', [
	'href' => $props['link'],
	'target' => ['_blank {@link_target}'],
    'uk-scroll' => strpos($props['link'], '#') === 0,
]) : null;


// Thead for Responsive Table
$thead = $this->el('span', [
	'class' => [
		'uk-hidden@m',
	],
]);


if ($link && $props['title'] && $element['title_link'] && $element['show_link']) {

    $props['title'] = $link($element, [
        'class' => [
			'uk-link-{title_hover_style}' => $element['title_hover_style'],
        ],
    ], $this->striptags($props['title']));
	
}

if ($link && $props['description'] && $element['description_link'] && $element['show_link']) {

    $props['description'] = $link($element, [
        'class' => [
			'uk-link-{title_hover_style}' => $element['title_hover_style'],
        ],
    ], $this->striptags($props['description']));
	
}

?>

<?= $title($element) ?>

	<?php if($element['table_responsive'] == 'responsive' && $element['table_head_title']) : ?>
		<?= $thead($element, $element['table_head_title'] . ':') ?>
	<?php endif ?>
	
	<?php if($element['table_datatables_filter']) : ?>
		<?php $props['title'] = '<span class="filter-content">' . $props['title'] . '</span>'; ?>
	<?php endif ?>
	
	<?= $props['title'] ?>
	
	<?php if($element['show_label'] && $props['label']) : ?>
		<?= $label($element, $props['label']) ?>
	<?php endif ?>
	
<?= $title->end() ?>

<?php if($element['show_description'] && $props['description']) : ?>
	<?= $description($element, $props['description']) ?>
<?php endif ?>

